org.apache.felix.deployment.rp.autoconf

## Class PersistencyManager

- java.lang.Object
- - org.apache.felix.deployment.rp.autoconf.PersistencyManager

    public class PersistencyManager
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`PersistencyManager(File root)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `delete(String name)` Deletes a resource.
`List<String>` `getResourceNames()` Returns the names of all persisted resources.
`List<AutoConfResource>` `load(String name)` Loads a stored resource.
`void` `store(String name, List<AutoConfResource> configs)` Stores a resource.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PersistencyManager

    public PersistencyManager(File root)

### Method Detail

#### delete

    public void delete(String name)
                throws IOException

Deletes a resource.

Parameters:
  `name` - Name of the resource.
Throws:
  `IOException` - If the resource could not be deleted.

#### getResourceNames

    public List<String> getResourceNames()

Returns the names of all persisted resources.

Returns:
  a list of resource names, never `null`.

#### load

    public List<AutoConfResource> load(String name)
                                throws IOException

Loads a stored resource.

Parameters:
  `name` - Name of the resource.
Returns:
  List of `AutoConfResource`s representing the specified resource, if the resource is unknown an empty list is returned.
Throws:
  `IOException` - If the resource could not be properly read.

#### store

    public void store(String name,
                      List<AutoConfResource> configs)
               throws IOException

Stores a resource.

Parameters:
  `name` - Name of the resource.
  `configs` - List of `AutoConfResource`s representing the specified resource.
Throws:
  `IOException` - If the resource could not be stored.